﻿using UnityEngine;
using System.Collections;

public class NewBehaviourScript : MonoBehaviour {

    public float maxSpeed = 3;
    public float speed = 50f;
    public float jumpPower = 150f;
    public bool grounded;


    private Rigidbody2D body2D;
    private Animator anim;


	void Start ()
    {
        body2D = gameObject.GetComponent<Rigidbody2D>();
        anim = gameObject.GetComponent<Animator>();
    }
	

	void Update ()
    {
        anim.SetBool("Grounded", grounded);
        anim.SetFloat("Speed", Mathf.Abs(Input.GetAxis("Horizontal")));
	}

    void FixedUpdate()
    {
        //Get input to move player
        float h = Input.GetAxis("Horizontal");

        //Moving player
        body2D.AddForce((Vector2.right * speed) * h);


        //limiting players speed
        if (body2D.velocity.x > maxSpeed)
        { 
            body2D.velocity = new Vector2(maxSpeed, body2D.velocity.y);     
        }
        if (body2D.velocity.x < -maxSpeed)
        {
            body2D.velocity = new Vector2(-maxSpeed, body2D.velocity.y);
        }
    }
}
