﻿using UnityEngine;
using UnityEngine.UI;
using System.Collections;

public class Victory : MonoBehaviour {

    public Text timerText;
    public GameObject VictoryUI;

    private Player player;
    private float startTime;


    void Start()
    {
        startTime = Time.time;
        player = GameObject.FindGameObjectWithTag("Player").GetComponent<Player>();
        VictoryUI.SetActive(false);
    }

    void Update()
    {
        float t = Time.time - startTime;

        string minutes = ((int)t / 60).ToString();
        string seconds = (t % 60).ToString("f2");


        if (player.victory)
        {
            VictoryUI.SetActive(true);
            Time.timeScale = 0;
            timerText.text = minutes + ":" + seconds;
        }
    }

    public void NextLevel()
    {
        Application.LoadLevel("TRUMP");
    }


    public void Restart()
    {
        Application.LoadLevel(Application.loadedLevel);
    }

    public void Quit()
    {
        Application.Quit();
    }
}
